.card-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 15px;
}

.app-info {
  flex: 1;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.app-info h3 {
  margin: 0;
  font-size: 1.2rem;
}

.app-info p {
  margin: 0;
}

.app-actions {
  display: flex;
  align-items: center;
}

.collapsible-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}

.collapsible-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-in, padding-top 0.5s ease-in, padding-bottom 0.5s ease-in;
  padding: 0 20px;
}

.collapsible-content.show-content {
  overflow: visible;
}

.collapsible-content.expanded {
  padding-top: 20px;
  padding-bottom: 20px;
}

.collapsible-icon {
  transition: transform 0.3s ease;
}

.collapsible-icon.rotate {
  transform: rotate(180deg);
}

@media screen and (max-width: 600px) {
  .card-content {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .app-info {
    width: 100%;
    align-items: center;
  }

  .app-actions {
    width: 100%;
    justify-content: center;
  }
}
